if(NOT dune-istl_FOUND)
# Whether this module is installed or not
set(dune-istl_INSTALLED ON)

# Settings specific to the module

# Package initialization

####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was dune-istl-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/cmake/dune-istl" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

#report other information
set_and_check(dune-istl_PREFIX "${PACKAGE_PREFIX_DIR}")
set_and_check(dune-istl_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set(dune-istl_CMAKE_CONFIG_VERSION "2.10")
set(dune-istl_CXX_FLAGS "-g -O2  -fstack-protector-strong -Wformat -Werror=format-security  -Wdate-time -D_FORTIFY_SOURCE=2")
set(dune-istl_CXX_FLAGS_DEBUG "-g")
set(dune-istl_CXX_FLAGS_MINSIZEREL "-Os -DNDEBUG")
set(dune-istl_CXX_FLAGS_RELEASE "-O3 -DNDEBUG")
set(dune-istl_CXX_FLAGS_RELWITHDEBINFO "-O2 -g -DNDEBUG")
set(dune-istl_DEPENDS "dune-common (>= 2.10)")
set(dune-istl_SUGGESTS "")
set(dune-istl_MODULE_PATH "${PACKAGE_PREFIX_DIR}/share/dune/cmake/modules")
set(dune-istl_PYTHON_WHEELHOUSE "${PACKAGE_PREFIX_DIR}/")
set(dune-istl_LIBRARIES "Dune::ISTL")
set(dune-istl_HASPYTHON 1)
set(dune-istl_PYTHONREQUIRES "")

# Resolve dune dependencies
include(CMakeFindDependencyMacro)
macro(find_and_check_dune_dependency module version)
  find_dependency(${module})
  list(PREPEND CMAKE_MODULE_PATH "${dune-common_MODULE_PATH}")
  include(DuneModuleDependencies)
  list(POP_FRONT CMAKE_MODULE_PATH)
  if(dune-common_VERSION VERSION_GREATER_EQUAL "2.10")
    dune_check_module_version(${module} QUIET REQUIRED VERSION "${version}")
  endif()
endmacro()

find_and_check_dune_dependency(dune-common ">= 2.10")

# Set up DUNE_LIBS, DUNE_FOUND_DEPENDENCIES, DUNE_*_FOUND, and HAVE_* variables
if(dune-istl_LIBRARIES)
  message(STATUS "Setting dune-istl_LIBRARIES=${dune-istl_LIBRARIES}")
  list(PREPEND DUNE_LIBS ${dune-istl_LIBRARIES})
endif()
list(APPEND DUNE_FOUND_DEPENDENCIES dune-istl)
set(DUNE_dune-istl_FOUND TRUE)
set(HAVE_DUNE_ISTL TRUE)

# Lines that are set by the CMake build system via the variable DUNE_CUSTOM_PKG_CONFIG_SECTION


# If this file is found in a super build that includes dune-istl, the 
# `dune-istl-targets.cmake`-file has not yet been generated. This variable
# determines whether the configuration of dune-istl has been completed.
get_property(dune-istl_IN_CONFIG_MODE GLOBAL PROPERTY dune-istl_LIBRARIES DEFINED)

#import the target
if(dune-istl_LIBRARIES AND NOT dune-istl_IN_CONFIG_MODE)
  get_filename_component(_dir "${CMAKE_CURRENT_LIST_FILE}" PATH)
  include("${_dir}/dune-istl-targets.cmake")
endif()

endif()
